Subject: Re: [PATCH] zsh pidof completion
From: Marko Myllynen <[email-masked]>
To: Daniel Shahaf <[email-masked]>
Cc: zsh workers <[email-masked]>
Date: Sun, 5 Jun 2016 17:34:16 +0300
List-Id: Zsh Workers List <zsh-workers.zsh.org>

Hi,

On 2016-06-03 23:40, Daniel Shahaf wrote:
> Marko Myllynen wrote on Fri, Jun 03, 2016 at 12:20:54 +0300:
>> Otherwise it works nicely but I'm a bit wondering one thing here: -o
>> can either repeated on the command line of the PID to be omitted can be
>> provided as a comma-separated list but I don't see a readily available
>> method to complete a comma-separated list. No biggie, but if there's
>> trivial way to do that, please let me know.
> 
> I think you're looking for _sequence:
> 
> % compdef '_sequence -s , _pids' f
> % f <TAB>

Thanks, that's exactly what I was missing! (It has been added since
5.0.2 which is in use on RHEL 7.)

>> It might also be nice to provide a generic _procnames type completion
>> like there's one now for _pids but I'll leave it for a separate effort
>> now.
> 
> What would _process_names do?

Offer process names instead of process IDs, there might few potential
users for it in the tree already (_killall, _lldb, and _pgrep).

Thanks,

-- 
Marko Myllynen